node-xterm_2.7.0+ds1-1_all.deb


Advertisement

Description

node-xterm - terminal front-end component for the browser - NodeJS modules

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-xterm_2.7.0+ds1-1_all.deb
Package name node-xterm
Package version 2.7.0+ds1
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://xtermjs.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 61.87 KB
Installed size 562.00 KB
Xterm.js is a terminal front-end component written in JavaScript that works in
the browser.
It enables applications to provide fully featured terminals to their users and
create great development experiences.
Features:
- **Text-based application support**: Use xterm.js to work with applications
like `bash`, `git` etc.
- **Curses-based application support**: Use xterm.js to work with
applications like `vim`, `tmux` etc.
- **Mouse events support**: Xterm.js captures mouse events like click and
scroll and passes them to the terminal's back-end controlling process
- **CJK (Chinese, Japanese, Korean) character support**: Xterm.js renders
CJK characters seamlessly
- **IME support**: Insert international (including CJK) characters using IME
input with your keyboard
- **Self-contained library**: Xterm.js works on its own. It does not require
any external libraries like jQuery or React to work
- **Modular, event-based API**: Lets you build addons and themes with ease
This package contains the unpacked individual xterm CommonJS modules.

Alternatives

Package Version Architecture Repository
node-xterm_2.7.0+ds1-1_all.deb 2.7.0+ds1 all Ubuntu Universe
node-xterm - - -

Requires

Name Value
libjs-xterm -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-xterm_2.7.0+ds1-1_all.deb
Source Package node-xterm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-xterm deb package:
    # sudo apt-get install node-xterm

Files

Path
/usr/lib/nodejs/xterm/dist
/usr/lib/nodejs/xterm/package.json
/usr/lib/nodejs/xterm/lib/Charsets.js
/usr/lib/nodejs/xterm/lib/Charsets.js.map
/usr/lib/nodejs/xterm/lib/CompositionHelper.js
/usr/lib/nodejs/xterm/lib/CompositionHelper.js.map
/usr/lib/nodejs/xterm/lib/CompositionHelper.test.js
/usr/lib/nodejs/xterm/lib/CompositionHelper.test.js.map
/usr/lib/nodejs/xterm/lib/EscapeSequences.js
/usr/lib/nodejs/xterm/lib/EscapeSequences.js.map
/usr/lib/nodejs/xterm/lib/EventEmitter.js
/usr/lib/nodejs/xterm/lib/EventEmitter.js.map
/usr/lib/nodejs/xterm/lib/EventEmitter.test.js
/usr/lib/nodejs/xterm/lib/EventEmitter.test.js.map
/usr/lib/nodejs/xterm/lib/InputHandler.js
/usr/lib/nodejs/xterm/lib/InputHandler.js.map
/usr/lib/nodejs/xterm/lib/InputHandler.test.js
/usr/lib/nodejs/xterm/lib/InputHandler.test.js.map
/usr/lib/nodejs/xterm/lib/Interfaces.js
/usr/lib/nodejs/xterm/lib/Interfaces.js.map
/usr/lib/nodejs/xterm/lib/Linkifier.js
/usr/lib/nodejs/xterm/lib/Linkifier.js.map
/usr/lib/nodejs/xterm/lib/Linkifier.test.js.map
/usr/lib/nodejs/xterm/lib/Parser.js
/usr/lib/nodejs/xterm/lib/Parser.js.map
/usr/lib/nodejs/xterm/lib/Renderer.js
/usr/lib/nodejs/xterm/lib/Renderer.js.map
/usr/lib/nodejs/xterm/lib/Types.js
/usr/lib/nodejs/xterm/lib/Types.js.map
/usr/lib/nodejs/xterm/lib/Viewport.js
/usr/lib/nodejs/xterm/lib/Viewport.js.map
/usr/lib/nodejs/xterm/lib/Viewport.test.js
/usr/lib/nodejs/xterm/lib/Viewport.test.js.map
/usr/lib/nodejs/xterm/lib/addons
/usr/lib/nodejs/xterm/lib/xterm.css
/usr/lib/nodejs/xterm/lib/xterm.js
/usr/lib/nodejs/xterm/lib/xterm.js.map
/usr/lib/nodejs/xterm/lib/handlers/Clipboard.js
/usr/lib/nodejs/xterm/lib/handlers/Clipboard.js.map
/usr/lib/nodejs/xterm/lib/handlers/Clipboard.test.js
/usr/lib/nodejs/xterm/lib/handlers/Clipboard.test.js.map
/usr/lib/nodejs/xterm/lib/test/escape-sequences-test.js
/usr/lib/nodejs/xterm/lib/test/escape-sequences-test.js.map
/usr/lib/nodejs/xterm/lib/test/test.js
/usr/lib/nodejs/xterm/lib/test/test.js.map
/usr/lib/nodejs/xterm/lib/test/addons/test.js
/usr/lib/nodejs/xterm/lib/test/addons/test.js.map
/usr/lib/nodejs/xterm/lib/utils/Browser.js
/usr/lib/nodejs/xterm/lib/utils/Browser.js.map
/usr/lib/nodejs/xterm/lib/utils/CharMeasure.js
/usr/lib/nodejs/xterm/lib/utils/CharMeasure.js.map
/usr/lib/nodejs/xterm/lib/utils/CharMeasure.test.js.map
/usr/lib/nodejs/xterm/lib/utils/CircularList.js
/usr/lib/nodejs/xterm/lib/utils/CircularList.js.map
/usr/lib/nodejs/xterm/lib/utils/CircularList.test.js
/usr/lib/nodejs/xterm/lib/utils/CircularList.test.js.map
/usr/lib/nodejs/xterm/lib/utils/DomElementObjectPool.js
/usr/lib/nodejs/xterm/lib/utils/DomElementObjectPool.js.map
/usr/lib/nodejs/xterm/lib/utils/DomElementObjectPool.test.js
/usr/lib/nodejs/xterm/lib/utils/DomElementObjectPool.test.js.map
/usr/lib/nodejs/xterm/lib/utils/Generic.js
/usr/lib/nodejs/xterm/lib/utils/Generic.js.map
/usr/lib/nodejs/xterm/lib/utils/Mouse.js
/usr/lib/nodejs/xterm/lib/utils/Mouse.js.map
/usr/share/doc/node-xterm/changelog.Debian.gz
/usr/share/doc/node-xterm/copyright

Changelog

2017-06-06 - Ghislain Antony Vaillant <ghisvail@gmail.com>
node-xterm (2.7.0+ds1-1) unstable; urgency=low
* Initial release. (Closes: #859879)

See Also

Package Description
node-y18n_3.2.1-2_all.deb bare-bones internationalization library used by yargs
node-yajsml_1.1.5+ds-1_all.deb Yet another (Common)JS module loader
node-yallist_3.0.3-1_all.deb Double linked list implementation for Node.js
node-yamlish_0.0.7-1_all.deb Parser/encoder for the YAMLish format for Node.js
node-yargs-parser_11.1.1-1_all.deb mighty option parser used by yargs
node-yargs_10.0.3-2_all.deb yargs the modern, pirate-themed, successor to optimist
node-yauzl_2.10.0-1_all.deb yet another unzip library - Node.js module
node-yawl_1.0.2-1_all.deb yet another web sockets library
node-yazl_2.0.2-1ubuntu1_all.deb yet another zip library - Node.js module
node-yn_3.0.0-1_all.deb Parse yes/no like values - Node.js module
node-ytdl-core_0.2.4+dfsg-1ubuntu1_all.deb YouTube video downloader - Node.js module
node-zeparser_0.0.7+dfsg-2_all.deb Javascript code parser module for Node.js
node-zipfile_0.5.12+ds-3_amd64.deb library for handling zipfiles in Node.js
nodeenv_0.13.4-1_all.deb Node.js virtual environment builder
nodejs-doc_10.15.2~dfsg-1_all.deb API documentation for Node.js, the javascript platform
Advertisement
Advertisement